.mCustomScrollbar{ -ms-touch-action: pinch-zoom; touch-action: pinch-zoom; /* direct pointer events to js */ }
.mCustomScrollbar.mCS_no_scrollbar, .mCustomScrollbar.mCS_touch_action{ -ms-touch-action: auto; touch-action: auto; }
.mCustomScrollBox{ /* contains plugin's markup */
	position: relative;
	overflow: hidden;
	height: 100%;
	max-width: 100%;
	outline: none;
	direction: ltr;
}
.mCSB_container{ /* contains the original content */
	overflow: hidden;
	width: auto;
	height: auto;
	padding-right:12px;
}
.mCSB_inside > .mCSB_container{ margin-right: 28px; }
.mCSB_container.mCS_no_scrollbar_y.mCS_y_hidden{ margin-right: 0; } /* non-visible scrollbar */
.mCS-dir-rtl > .mCSB_inside > .mCSB_container{ /* RTL direction/left-side scrollbar */
	margin-right: 0;
	margin-left:28px;
}
.mCS-dir-rtl > .mCSB_inside > .mCSB_container.mCS_no_scrollbar_y.mCS_y_hidden{ margin-left: 0; } /* RTL direction/left-side scrollbar */
.mCSB_scrollTools{ /* contains scrollbar markup (draggable element, dragger rail, buttons etc.) */
	position: absolute;
	width:15px;
	height: auto;
	left: auto;
	top: 0;
	right: 0;
	bottom: 0;
}
.mCSB_outside + .mCSB_scrollTools{ right: -26px; } /* scrollbar position: outside */
.mCS-dir-rtl > .mCSB_inside > .mCSB_scrollTools, 
.mCS-dir-rtl > .mCSB_outside + .mCSB_scrollTools{ /* RTL direction/left-side scrollbar */
	right: auto;
	left: 0;
}
.mCS-dir-rtl > .mCSB_outside + .mCSB_scrollTools{ left: -26px; } /* RTL direction/left-side scrollbar (scrollbar position: outside) */
.mCSB_scrollTools .mCSB_draggerContainer{ /* contains the draggable element and dragger rail markup */
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0; 
	height: auto;
}
.mCSB_scrollTools a + .mCSB_draggerContainer{ margin: 20px 0; }
.mCSB_scrollTools .mCSB_draggerRail{
	width: 2px;
	height: 100%;
	margin: 0 auto;
	-webkit-border-radius: 16px; -moz-border-radius: 16px; border-radius: 16px;
}
.mCSB_scrollTools .mCSB_dragger{ /* the draggable element */
	cursor: pointer;
	width: 100%;
	height: 30px; /* minimum dragger height */
	z-index: 1;
}
.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar{ /* the dragger element */
	position: relative;
	width: 11px;
	height:93%;
	margin: 0 auto;
	top:12px;
	text-align: center;
}
.mCSB_scrollTools_vertical.mCSB_scrollTools_onDrag_expand .mCSB_dragger.mCSB_dragger_onDrag_expanded .mCSB_dragger_bar, 
.mCSB_scrollTools_vertical.mCSB_scrollTools_onDrag_expand .mCSB_draggerContainer:hover .mCSB_dragger .mCSB_dragger_bar{ width: 12px; /* auto-expanded scrollbar */ }
.mCSB_scrollTools_vertical.mCSB_scrollTools_onDrag_expand .mCSB_dragger.mCSB_dragger_onDrag_expanded + .mCSB_draggerRail, 
.mCSB_scrollTools_vertical.mCSB_scrollTools_onDrag_expand .mCSB_draggerContainer:hover .mCSB_draggerRail{ width: 8px; /* auto-expanded scrollbar */ }
.mCSB_scrollTools .mCSB_buttonUp,
.mCSB_scrollTools .mCSB_buttonDown{
	display: block;
	position: absolute;
	height: 20px;
	width: 100%;
	overflow: hidden;
	margin: 0 auto;
	cursor: pointer;
}
.mCSB_scrollTools .mCSB_buttonDown{ bottom: 0; }
.mCSB_scrollTools{ opacity: 1; filter: "alpha(opacity=1)"; -ms-filter: "alpha(opacity=1)"; }
.mCS-autoHide > .mCustomScrollBox > .mCSB_scrollTools,
.mCS-autoHide > .mCustomScrollBox ~ .mCSB_scrollTools{ opacity: 0; filter: "alpha(opacity=0)"; -ms-filter: "alpha(opacity=0)"; }
.mCustomScrollbar > .mCustomScrollBox > .mCSB_scrollTools.mCSB_scrollTools_onDrag,
.mCustomScrollbar > .mCustomScrollBox ~ .mCSB_scrollTools.mCSB_scrollTools_onDrag,
.mCustomScrollBox:hover > .mCSB_scrollTools,
.mCustomScrollBox:hover ~ .mCSB_scrollTools,
.mCS-autoHide:hover > .mCustomScrollBox > .mCSB_scrollTools,
.mCS-autoHide:hover > .mCustomScrollBox ~ .mCSB_scrollTools{ opacity: 1; filter: "alpha(opacity=1)"; -ms-filter: "alpha(opacity=1)"; }
.mCSB_scrollTools .mCSB_draggerRail{
	background-color:rgba(0,0,0,0.0);
	filter: "alpha(opacity=1)"; -ms-filter: "alpha(opacity=1)"; 
}
.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar{
	background-color:#bcbcbc;
	filter: "alpha(opacity=1)"; -ms-filter: "alpha(opacity=1)"; 
}
.mCSB_scrollTools .mCSB_dragger:hover .mCSB_dragger_bar{
	background-color:#b5b5b5 !important;
	filter: "alpha(opacity=1)";
	-ms-filter: "alpha(opacity=1)"; 
}
.mCSB_scrollTools .mCSB_dragger:active .mCSB_dragger_bar,
.mCSB_scrollTools .mCSB_dragger.mCSB_dragger_onDrag .mCSB_dragger_bar{
	background-color:#b5b5b5;
	filter: "alpha(opacity=1)"; -ms-filter: "alpha(opacity=1)"; 
}
.mCSB_scrollTools .mCSB_buttonUp,
.mCSB_scrollTools .mCSB_buttonDown,
.mCSB_scrollTools .mCSB_buttonLeft,
.mCSB_scrollTools .mCSB_buttonRight{
	background-image: url(mCSB_buttons.png); /* css sprites */
	background-repeat: no-repeat;
	opacity: 0.4; filter: "alpha(opacity=100)"; -ms-filter: "alpha(opacity=100)"; 
}
.mCSB_scrollTools .mCSB_buttonUp{
	background-position: 0 0;
}
.mCSB_scrollTools .mCSB_buttonDown{
	background-position: 0 -20px;
}
.mCSB_scrollTools .mCSB_buttonLeft{
	background-position: 0 -40px;
}
.mCSB_scrollTools .mCSB_buttonRight{
	background-position: 0 -56px;
}
.mCSB_scrollTools .mCSB_buttonUp:hover,
.mCSB_scrollTools .mCSB_buttonDown:hover,
.mCSB_scrollTools .mCSB_buttonLeft:hover,
.mCSB_scrollTools .mCSB_buttonRight:hover{ opacity: 1; filter: "alpha(opacity=1)"; -ms-filter: "alpha(opacity=1)"; }
.mCSB_scrollTools .mCSB_buttonUp:active,
.mCSB_scrollTools .mCSB_buttonDown:active,
.mCSB_scrollTools .mCSB_buttonLeft:active,
.mCSB_scrollTools .mCSB_buttonRight:active{ opacity: 1; filter: "alpha(opacity=1)"; -ms-filter: "alpha(opacity=1)"; }

.mCSB_dragger_bar {
	-webkit-border-radius: 3px; 
	-moz-border-radius: 3px;
	 border-radius: 3px;
}